1. 钱包
DeepSafe开发者文档
  • Getting Started
    • 快速开始
    • 创建Api Key
    • 其他说明
    • http请求约定
      • 请求头
      • 请求方法
      • 返回值与错误码
      • Body加密与签名
      • Webhook事件解密与校验
    • Webhook
      • Webhook说明
      • Webhook事件解密与校验
  • Api文档
    • README
    • 全局配置
      • 获取支持的币种
      • 获取支持的链
    • 钱包
      • 创建钱包
        POST
      • 获取钱包列表
        POST
      • 获取单个钱包详情
        POST
      • 新增子地址(子钱包)
        POST
      • 获取钱包的所有子地址(子钱包)
        POST
    • 白名单
      • 获取白名单列表
      • 获取可用的白名单列表
      • 查询白名单转账限制开关状态
    • 交易
      • 获取钱包交易列表
      • 创建交易
      • 获取交易详情
    • 审批
      • 获取审批详情
      • 通过审批
      • 拒绝审批
      • 取消审批
    • 签名
      • 获取签名token
      • 停止签名
    • Schemas
      • wallet
        • address_info
        • wallet_transaction_base_info
        • list_wallet_tx_resp
        • gas_info
        • wallet_transaction
        • simple_transaction
        • tron_tx
        • btc_utxo
        • wait_sign_tx
        • list_wallet_resp
        • wallet_base_info
        • get_wallet_resp
        • pending_tx_count
        • wallet_coin_balance
        • wallet_coin_balance_with_price
        • list_wallet_item
      • config
        • coin_info
        • chain_info
        • coin_with_chain
        • whitelist_chain_config
      • sub_wallet
        • sub_wallet_base_info
        • list_sub_wallet_res
        • sub_wallet_balance_item
      • whitelist
        • list_whitelist_resp
        • whitelist_with_chain
        • whitelist_tag_info
        • whitelist
        • whitelist_group_info
        • whitelist_transfer_restriction
        • restriction_status_res
      • audit
        • change_whitelist_info
        • base_audit_record
        • member_result_item
        • node_result
        • node_result_item
        • audit_record
      • mpc
        • new_sign_token_res
      • initiator_info
      • base response
      • pageData
  • Webhook文档
    • README
    • 白名单
      • 创建白名单
      • 删除白名单
      • 修改白名单
    • Schemas
      • 白名单
      • base response
      • base event
  • Co-Signer
    • REAME
    • 对接说明
  1. 钱包

新增子地址(子钱包)

Developing
POST
/api/wallet/sub/new

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/wallet/sub/new' \
--header 'timestamp-milli: 1783926654123' \
--header 'request-id: 99352544-bb54-44f9-9310-c5c2d7498e17' \
--header 'team-id: your_team_id' \
--header 'api-id: your_api_id' \
--header 'currency-id: usd' \
--header 'Content-Type: application/json' \
--data '{
    "wallet_id": "string",
    "chain": "btc--1"
}'
Response Response Example
{
    "code": 1000,
    "data": {
        "sub_wallet_id": "80",
        "address": "0x111...",
        "chain": "evm",
        "remark": "officia Duis exercitation aliqua"
    },
    "msg": "laboris magna"
}
Modified at 2026-07-17 06:54:30
Previous
获取单个钱包详情
Next
获取钱包的所有子地址(子钱包)
Built with